package com.jinhaiqimeng.sysManageMicroservice.web.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author cxt
 * @date 2023-10-16 13:26
 */
@Data
@ApiModel(value = "PushMessageVO",description = "消息推送VO")
public class PushMessageVO {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "消息描述")
    private String messageDescription;

    @ApiModelProperty(value = "消息操作时间")
    private LocalDateTime messageOperationTime;

    @ApiModelProperty(value = "消息推送状态1已推送2末推送")
    private Integer messagePushStatus;

    @ApiModelProperty(value = "消息推送时间")
    private LocalDateTime messagePushTime;

    @ApiModelProperty(value = "消息状态1启用2停用")
    private Integer messageStatus;

    @ApiModelProperty(value = "消息标题")
    private String messageTitle;
}
